Subject: Re: [X2Go-Dev] Bug#1527: native X11 fonts stop being rendered as the desktop is shared; functionality is restored on unsharing.

From: Ulrich Sibiller <[email-masked]>
Date: Sat, 27 Feb 2021 18:41:59 +0100

I am sorry, I cannot seem to trigger this behaviour. Please post a
step by step instruction including all the software you are running.
For me this is working fine like this:
1. start and x2go desktop session with application /usr/bin/xterm
2. in the session run mwm &
3. in the session run xfd -fn fixed
4. connect to that session with a x2go shadow session (from a different client)

Uli

On Sat, Feb 27, 2021 at 4:14 PM Ulrich Sibiller
<[email-masked]> wrote:
>
> What is the version of the nxagent package?
>
> Enrico Bertocchi <[email-masked]> schrieb am Sa., 27. Feb. 2021, 12:55:
>>
>> Package: x2goserver
>> Version: 4.1.0.3-4 (amd64, devuan Beowulf)
>>
>> Running, let's say  "xfd -fn fixed" or any other sofware whose GUI is
>> based on native X11 fonts (mwm) from within a remote x2go session
>> (DISPLAY=:50), strings are rendered correctly until a second
>> connection to such display (via the "x2go/x11 Desktop Sharing"
>> facility) is established on the same :50 display, even with the same
>> user.
>>
>> As soon as the connection is established, X11 fonts rendering stops
>> for both the clients and all X11 clients which rely on such feature
>> (e.g. mwm, or xfd) are shown with blank text boxes; applications which
>> rely on different font technologies (e.g. the sakura terminal) are not
>> affected.
>>
>> As soon the second connection is closed, font rendering is restored
>> for the initial client, and writings reappear on the next window
>> refresh.
>>
>> Such behavior is consistently reproduced at every attempt.
>>
>> Both client connections are originated  from the same Centos 8
>> machine, with x2goclient 4.1.2.2 and disabled "set display DPI
>> setting" option.
>>
>> Sincerely
>>
>>  --
>> Enrico Bertocchi
>> _______________________________________________
>> x2go-dev mailing list
>> [email-masked]
>> https://lists.x2go.org/listinfo/x2go-dev